Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598290 - dmesg shows "Memory: ... 788380k absent"
Summary: dmesg shows "Memory: ... 788380k absent"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 02:45 UTC by Lin Avator
Modified: 2010-06-07 02:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 14:12:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
system log files (deleted)
2010-06-01 02:45 UTC, Lin Avator
no flags Details

Description Lin Avator 2010-06-01 02:45:30 UTC
Created attachment 418435 [details]
system log files

Description of problem:

   We install RHEL 5.2 x86_64 on our AMD platform, then we update the kernel to 2.6.33 ( http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.33.tar.gz ) . The output of `dmesg` shows the following message. We are curious that where is the absent 788380k memory gone ? And how could we get them back ?

=====
Memory: 16392812k/17563648k available (3061k kernel code, 788380k absent, 382456k reserved, 5034k data, 468k init)
=====

  Although this is not RHEL bug, we hope to get help from the experts here. Some system logs (dmesg, dmidecode, /proc/iomem, /proc/meminfo, vmstat -s) are collected as f01.zip. Please help to resolve this issue.

Comment 1 Prarit Bhargava 2010-06-04 14:12:51 UTC
Lin, absent memory reflects the memory addressing space lost due to memory holes in the memory map.  Typically holes are left for PCI space, IO, etc..  Every vendor model system is different, and every system will have a different value reported for the absent memory.

Bottom line: It is not physical memory.

Hope this helps,

P.

Comment 2 Lin Avator 2010-06-07 02:43:41 UTC
Hi Prarit,

  I got it. Thanks for sharing information.

  Sincerely Yours,
Lin


Note You need to log in before you can comment on or make changes to this bug.